package com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network

import com.pan_american.android.base.BaseResponse
import com.pan_american.android.data.model.common.entity.Selector
import com.pan_american.android.data.model.common.entity.SiftListItem
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.entity.GroundConveyTableItem

class GroundConveyPaymentResponse(val data: Data): BaseResponse() {

    inner class Data(val payment: ArrayList<Selector>, val tableInitialization: ArrayList<SiftListItem>,
                     val carTouristGuides: ArrayList<GroundConveyTableItem>, val ssdv: ArrayList<Selector>,
                     val checkedItemId: ArrayList<Int>, val creditCardPayment: GroundConveyDetailPayment, val nationalTravelFee: NationalTravelFee, val rate: Rate)

    inner class GroundConveyDetailPayment {
        var payDId = 0
        var orbitalPrivateTransfer = 0
        var payee = ""
        var paymentCurrency = 0
        var paymentCurrencyName = ""
        var payMoney = 0.0
        var payPercentage = 0.0
    }

    inner class NationalTravelFee {
        val id = 0
        val currency = 0
        val currencyStr = ""
        val foodCost = ""
    }

    inner class Rate {
        var rate = 0.0
        var toCurr = 0
    }
}